Subject: bug#17173: 24.4.50; Emacs partially loses display, and redisplay via `C-l' does not fix it

From: Drew Adams <[email-masked]>
Date: Sat, 26 Dec 2015 09:29:16 -0800 (PST)

> We (mostly Stefan) made redisplay faster by removing some triggers
> that would redraw windows unnecessarily.  Such optimizations always
> leave some fallout that needs to be fixed.
> 
> It is impossible to fix these problems without a reproducible recipe.
> The only alternative is to wait for someone else to come up with a bug
> report and a recipe, which will solve this problem as a side effect.

I understand.  If there is no way to correlate the source changes
made with the bug report, and so lots of such source changes could
affect this, then the bug report cannot help.  Feel free to close
it in that case.  Hopefully another report will come along, with
more precise info.

Maybe, when such wholesale optimizations are made in the future,
some debug code can be added, so that symptoms such as I reported
can more easily be traced to particular source changes?  Is that
feasible?

My impression is that this is not the only bug report about
failures to redisplay properly in Emacs 25.  Seems like we have,
on the one hand, lots of redisplay optimizations implemented
together, or within a short timespan, and a fair number of
redisplay problems reported, and no specific, operational
connections made between the two.  If so, that's too bad.